[SciPy-user] Scipy on Python 2.5 / OS X 10.4.8

Robert Kern robert.kern@gmail....
Sun Feb 18 17:09:15 CST 2007


Niklas Saers wrote:
> Hi guys,
> has anyone successfully compiled Scipy for Python 2.5 under Mac OS X  
> 10.4.8? I notice that the binaries on the webpage only support up to  
> Python 2.4 so I would like to build them. However, running "python  
> setup.py build" I get:
> 
> g95 -L/sw/lib build/temp.macosx-10.3-fat-2.5/build/src.macosx-10.3- 
> fat-2.5/Lib/fftpack/_fftpackmodule.o build/temp.macosx-10.3-fat-2.5/ 
> Lib/fftpack/src/zfft.o build/temp.macosx-10.3-fat-2.5/Lib/fftpack/src/ 
> drfft.o build/temp.macosx-10.3-fat-2.5/Lib/fftpack/src/zrfft.o build/ 
> temp.macosx-10.3-fat-2.5/Lib/fftpack/src/zfftnd.o build/ 
> temp.macosx-10.3-fat-2.5/build/src.macosx-10.3-fat-2.5/ 
> fortranobject.o -Lbuild/temp.macosx-10.3-fat-2.5 -ldfftpack -o build/ 
> lib.macosx-10.3-fat-2.5/scipy/fftpack/_fftpack.so
> /sw/lib/odcctools590/bin/ld: Undefined symbols:

It looks like you have the LDFLAGS environment variable defined. That
*overrides* all of the link flags, including the ones that distutils provides to
link against the Python libraries. Don't use LDFLAGS.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless enigma
 that is made terrible by our own mad attempt to interpret it as though it had
 an underlying truth."
  -- Umberto Eco


More information about the SciPy-user mailing list